Bug 185275 - Use pyflakes on anaconda code base
Use pyflakes on anaconda code base
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-12 22:51 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 14:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix 3 undefined variables (1.50 KB, patch)
2006-03-12 22:51 EST, Need Real Name
no flags Details | Diff

  None (edit)
Description Need Real Name 2006-03-12 22:51:33 EST
Pyflakes (or any other source code analyze programs) has not been used during
the development of anaconda.

Attached is a patch which fixes 3 bugs found by it.

To be able to use it properly all from X import * imports needs to be elimiated.
Comment 1 Need Real Name 2006-03-12 22:51:33 EST
Created attachment 126016 [details]
Fix 3 undefined variables
Comment 2 Jeremy Katz 2006-03-13 14:01:49 EST
Fixed in CVS.  We use pychecker at various intervals, but some of the circular
ity of imports that we end up having confuse it and similar tools.  I'll have to
take a look at pyflakes.

Note You need to log in before you can comment on or make changes to this bug.